# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::SceneManagerActorTree Class Reference

A SceneManagerBVH that implements its spatial partitioning strategy using an ActorTree. More...

`#include <SceneManagerActorTree.hpp>`

Inheritance diagram for vl::SceneManagerActorTree:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| SceneManagerActorTree ()

## Detailed Description

A SceneManagerBVH that implements its spatial partitioning strategy using an ActorTree.

See also:
  - Actor
  - ActorKdTree
  - ActorTree
  - SceneManager
  - SceneManagerBVH
  - SceneManagerActorKdTree
  - SceneManagerPortals

Definition at line 52 of file SceneManagerActorTree.hpp.

## Constructor & Destructor Documentation

vl::SceneManagerActorTree::SceneManagerActorTree | ( | ) | `[inline]`

Definition at line 57 of file SceneManagerActorTree.hpp.

References vl::SceneManagerBVH< ActorTree >::mBoundingVolumeTree, and VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::SceneManagerActorTree::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::SceneManagerBVH< ActorTree >.

Definition at line 55 of file SceneManagerActorTree.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/SceneManagerActorTree.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:45.
Permission is granted to use this page to write and publish articles regarding Visualization Library.